Latest Posts

Topic: Unable to run :-(

GunChleoc
Avatar
Joined: 2013-10-07, 15:56
Posts: 2626
Ranking
One Elder of Players
Location: RenderedRect
Posted at: 2018-10-14, 10:23

Since I can't reproduce the bug, I have created a branch with a bit more logging output:

https://code.launchpad.net/~widelands-dev/widelands/shading_language_too_old/+merge/356681

Could you please test again for us?

Unless you can compile yourself, just wait for a few days for the PPA to be updated. I'm interested in seeing the Graphics: OpenGL: ShadingLanguage: line; if the parsed double is the same as the version string, and if not, what it looks like.

ETA: The added log output has hit trunk now and I've triggered a new PPA build, which should be ready in a few hours.

Edited: 2018-10-14, 17:08

Busy indexing nil values

Top Quote
pabordel
Avatar
Joined: 2018-10-13, 21:41
Posts: 2
Ranking
Just found this site
Posted at: 2018-10-14, 17:40

Hi notabilis and GunChleoc

Thanks a lot for your fast answer !

yes I was getting a error windows which complains that version 1.20 is to old (with a dot), I should have begin with that fact.

I try with the local set to "C" ans widelands starts correctly and I can load a saved game and play. As far as I can know your technical explanation looks right.

Thank you again and keep on doing a pretty good job with widelands .


Top Quote
GunChleoc
Avatar
Joined: 2013-10-07, 15:56
Posts: 2626
Ranking
One Elder of Players
Location: RenderedRect
Posted at: 2018-10-15, 07:21

We now also have a bug report for this: https://bugs.launchpad.net/widelands/+bug/1797792

So it's indeed the locale, which is all I need to know so I can fix it. I'll push a hotfix and comment out the code there for now, so that everybody can play again.

PPA with hotfix has been built and new merge request for a proper fix is up:

https://code.launchpad.net/~widelands-dev/widelands/bug-1797792-shading-language-version-comparison/+merge/356699

Thanks for reporting!

Edited: 2018-10-15, 08:51

Busy indexing nil values

Top Quote